<?php

// STUDENT, CSC 342, Spring 2021, Assignment 5

// Open a database connection
$db = new PDO("sqlite:students.db");
// This line will help give informative error messages
$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

// get all the possible valid query parameters
$method = isset($_GET['method']) ? ($_GET['method']) : false;
$id = isset($_GET['id']) ? ($_GET['id']) : false;
$first_name = isset($_GET['first_name']) ? ($_GET['first_name']) : false;
$last_name = isset($_GET['last_name']) ? ($_GET['last_name']) : false;
$gpa = isset($_GET['gpa']) ? ($_GET['gpa']) : false;


// API to get all of the data
if ($method === "GET" && !$id) {
    // Note: this query is safe because it does not rely on user input
    $query = "SELECT * FROM students";
    $stmt = $db->query($query);
    $records = $stmt->fetchall(PDO::FETCH_ASSOC);

    $result = array();
    foreach ($records as $r) {
        array_push($result, $r);
    }

    // Note: headers must be set before any output is produced
    header("HTTP/1.1 201 OK");
    header("Content-Type: application/json");
    echo json_encode($result);
}

// TODO finish the remaining API calls

?>
